package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.Ebb;
import com.brilliance.isc.bo.Ebc;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Entity com.brilliance.isc.bo.Ebb
 */
@Mapper
public interface EbbMapper {
    int insert(Ebb record);
    Ebb selectByInr(String inr);
    Ebb selectByExguarancodeEbb(String guarCode);
    Ebb selectByEblInr(String eblInr);
    int updateByExguarancode(String exguarancode);
    List<Ebb> selectByObjinr(String objinr);
    int updateByPrimaryKeySelective(Ebb record);
    int deleteByPrimaryKey(Ebb record);
}




